{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/DataTypeImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.directlyUsedInterfaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.allParents()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getAllAttributes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOperation(Ljava/lang/String;Lorg/eclipse/emf/common/util/EList;Lorg/eclipse/emf/common/util/EList;Z)Lorg/eclipse/uml2/uml/Operation;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/EnumerationOperations.validateImmutable(Lorg/eclipse/uml2/uml/Enumeration;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedPackages()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.allFeatures()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.inherit(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getUsedInterfaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.parents()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateNonFinalParents(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.importMembers(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getAssociations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGenerals()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getInheritedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOperation(Ljava/lang/String;Lorg/eclipse/emf/common/util/EList;Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/uml2/uml/Operation;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOperations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/DataTypeImpl.createOwnedOperation(Ljava/lang/String;Lorg/eclipse/emf/common/util/EList;Lorg/eclipse/emf/common/util/EList;Lorg/eclipse/uml2/uml/Type;)Lorg/eclipse/uml2/uml/Operation;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.validateMembersDistinguishable(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateNonLeafRedefinition(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateRedefinitionContextValid(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.allAttributes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isTemplateParameter()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getNamesOfMember(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.validateCannotImportOwnedMembers(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.hasVisibilityOf(Lorg/eclipse/uml2/uml/NamedElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.allSlottableFeatures()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.createPackageImport(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/PackageImport;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateNamespaceNeedsVisibility(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.createAssociation(ZLorg/eclipse/uml2/uml/AggregationKind;Ljava/lang/String;IILorg/eclipse/uml2/uml/Type;ZLorg/eclipse/uml2/uml/AggregationKind;Ljava/lang/String;II)Lorg/eclipse/uml2/uml/Association;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.parameterableElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.maySpecializeType(Lorg/eclipse/uml2/uml/Classifier;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.validateCannotImportSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isConsistentWith(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.createElementImport(Lorg/eclipse/uml2/uml/PackageableElement;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/ElementImport;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.allUsedInterfaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.inheritableMembers(Lorg/eclipse/uml2/uml/Classifier;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isCompatibleWith(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getAllOperations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getAllUsedInterfaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.membersAreDistinguishable()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSubstitutableFor(Lorg/eclipse/uml2/uml/Classifier;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/DataTypeImpl.createOwnedAttribute(Ljava/lang/String;Lorg/eclipse/uml2/uml/Type;II)Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.directlyRealizedInterfaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.allRealizedInterfaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.conformsTo(Lorg/eclipse/uml2/uml/Type;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateMapsToGeneralizationSet(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateSpecializeType(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateNoCyclesInGeneralization(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.excludeCollisions(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isTemplate()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.validateRedefinitionConsistent(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1
  }
}